/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

Em.I18n.translations = {

  'app.name':'Ambari',
  'app.reloadPopup.link': 'Reload Page',
  'app.reloadPopup.text': 'Trying to connect to server...',
  'app.reloadPopup.header': 'Reload Page',

  'app.loadingPlaceholder': 'Loading...',
  'app.signout':'Sign out',

  'apply':'apply',
  'and':'and',
  'none':'none',
  'all':'all',
  'minimum':'minimum',
  'from':'From',
  'to':'To',
  'ok':'OK',
  'as':'as',
  'any': 'Any',
  'more':'more',
  'yes':'Yes',
  'no':'No',
  'add': 'Add',


  'common.learnMore':'Learn more',
  'common.back':'Back',
  'common.prev':'Prev',
  'common.next':'Next',
  'common.host':'Host',
  'common.hosts':'Hosts',
  'common.services':'Services',
  'common.group':'Group',
  'common.progress':'Progress',
  'common.status':'Status',
  'common.action':'Action',
  'common.addComponent':'Add Component',
  'common.remove':'Remove',
  'common.retry':'Retry',
  'common.show':'Show',
  'common.hide':'Hide',
  'common.cancel':'Cancel',
  'common.apply':'Apply',
  'common.done':'Done',
  'common.service': 'Service',
  'common.version':'Version',
  'common.description':'Description',
  'common.client':'Client',
  'common.zookeeper':'ZooKeeper',
  'common.hbase':'HBase',
  'common.regionServer':'RegionServer',
  'common.taskTracker':'TaskTracker',
  'common.dataNode':'DataNode',
  'common.print':'Print',
  'common.deploy':'Deploy',
  'common.message':'Message',
  'common.tasks':'Tasks',
  'common.open':'Open',
  'common.copy':'Copy',
  'common.complete':'Complete',
  'common.metrics':'Metrics',
  'common.timeRange':'Time Range',
  'common.name':'Name',
  'common.value':'Value',
  'common.ipAddress':'IP Address',
  'common.cpu':'CPU',
  'common.ram':'RAM',
  'common.disk':'Disk',
  'common.diskUsage':'Disk Usage',
  'common.loadAvg':'Load Avg',
  'common.components':'Components',
  'common.quickLinks':'Quick Links',
  'common.save':'Save',
  'common.servers':'Servers',
  'common.clients':'Clients',
  'common.user': 'User',
  'common.users': 'Users',
  'common.os':'OS',
  'common.memory':'Memory',
  'common.maximum':'Maximum',
  'common.start':'Start',
  'common.stop':'Stop',
  'common.pause':'Pause',
  'common.decommission':'Decommission',
  'common.recommission':'Recommission',
  'common.failure': 'Failure',
  'common.type': 'Type',
  'common.close': 'Close',
  'common.warning': 'Warning',
  'common.information': 'Information',
  'common.all':'All',
  'common.success': 'Success',
  'common.fail':'Fail',
  'common.error': 'Error',
  'common.loading': 'Loading',
  'common.search': 'Search',
  'common.confirm': 'Confirm',
  'common.upgrade': 'Upgrade',
  'common.security':'Security',
  'common.cluster':'Cluster',
  'common.add': 'Add',
  'common.edit': 'Edit',
  'common.delete': 'Delete',
  'common.empty': 'Empty',
  'common.exception':'Exception',
  'common.undo':'Undo',
  'common.details':'Details',
  'common.stats':'Stats',
  'common.abort': 'Abort',
  'common.misc': 'Misc',
  'common.operations': 'Operations',
  'common.install': 'Install',
  'common.errorPopup.header': 'An error has been encountered',

  'requestInfo.installComponents':'Install Components',
  'requestInfo.installServices':'Install Services',
  'requestInfo.startServices':'Start Services',
  'requestInfo.stopAllServices':'Stop All Services',
  'requestInfo.startAllServices':'Start All Services',
  'requestInfo.startHostComponent':'Start',
  'requestInfo.startHostComponents':'Start Components',
  'requestInfo.upgradeHostComponent':'Upgrade',
  'requestInfo.stopHostComponent':'Stop',
  'requestInfo.installHostComponent':'Install',
  'requestInfo.installNewHostComponent':'Install',
  'requestInfo.stopService':'Stop',
  'requestInfo.startService':'Start',

  'hostPopup.noServicesToShow':'No services to show',
  'hostPopup.noHostsToShow':'No hosts to show',
  'hostPopup.noTasksToShow':'No tasks to show',

  'question.sure':'Are you sure?',

  'popup.highlight':'click to highlight',
  'popup.confirmation.commonHeader':'Confirmation',

  'router.hadoopClusterNotSetUp':'Your administrator has not set up a Hadoop cluster yet.',

  'login.header':'Sign in',
  'login.username':'Username',
  'login.password':'Password',
  'login.loginButton':'Sign in',
  'login.error':'Invalid username/password combination.',
  
  'graphs.noData.title': 'No Data',
  'graphs.noData.message': 'There was no data available. Possible reasons include inaccessible Ganglia service.',
  'graphs.noDataAtTime.message': 'No available data for the time period.',
  'graphs.error.title': 'Error',
  'graphs.error.message': 'There was a problem getting data for the chart ({0}: {1})',
  'graphs.timeRange.hour': 'Last 1 hour',
  'graphs.timeRange.twoHours': 'Last 2 hours',
  'graphs.timeRange.fourHours': 'Last 4 hours',
  'graphs.timeRange.twelveHours': 'Last 12 hours',
  'graphs.timeRange.day': 'Last 24 hours',
  'graphs.timeRange.week': 'Last 1 week',
  'graphs.timeRange.month': 'Last 1 month',
  'graphs.timeRange.year': 'Last 1 year',

  'users.userName.validationFail': 'Value should contains only letters and digits and start with letter',

  'services.nagios.description':'Nagios Monitoring and Alerting system',
  'services.ganglia.description':'Ganglia Metrics Collection system',
  'services.hdfs.description':'Apache Hadoop Distributed File System',
  'services.mapreduce.description':'Apache Hadoop Distributed Processing Framework',
  'services.sqoop.description':'Tool for transferring bulk data between Apache Hadoop and structured data stores such as relational databases',
  'services.pig.description':'Scripting platform for analyzing large datasets',
  'services.hive.description':'Data warehouse system for ad-hoc queries & analysis of large datasets and table & storage management service',
  'services.oozie.description':'System for workflow coordination and execution of Apache Hadoop jobs',
  'services.zookeeper.description':'ZooKeeper desc',
  'services.hbase.description':'Non-relational distributed database and centralized service for configuration management & synchronization',
  'services.hive.databaseComponent':'Database Server',

  'services.alerts.head':'You have {0} critical alert notification(s).',
  'services.alerts.OK.timePrefix': 'OK for ',
  'services.alerts.WARN.timePrefix': 'WARN for ',
  'services.alerts.CRIT.timePrefix': 'CRIT for ',
  'services.alerts.UNKNOWN.timePrefix': 'UNKNOWN for ',
  'services.alerts.headingOfList': 'Alerts and Health Checks',
  'services.alerts.goToService': 'Go to Service',
  'services.alerts.goToNagios': 'Go to Nagios Web UI',

  'topnav.logo.href':'http://incubator.apache.org/ambari/',
  'topnav.help.href':'https://cwiki.apache.org/confluence/display/AMBARI/Ambari',

  'installer.header':'Cluster Install Wizard',
  'installer.navigation.warning.header':'Navigation Warning',

  'installer.mockData':'mockData',
  'installer.pollData':'pollData',
  'installer.noHostsAssigned':'No host assigned',
  'installer.slaveComponentHosts.selectHosts':'select hosts for this group',
  'installer.slaveComponentHostsPopup.header':'Select which hosts should belong to which {0} group',

  'installer.controls.slaveComponentGroups':' Groups',
  'installer.controls.serviceConfigPopover.title':'{0}<br><small>{1}</small>',
  'installer.controls.serviceConfigMultipleHosts.other':'1 other',
  'installer.controls.serviceConfigMultipleHosts.others':'{0} others',
  'installer.controls.serviceConfigMasterHosts.header':'{0} Hosts',
  'installer.controls.addSlaveComponentGroupButton.title':'Add a {0} Group',
  'installer.controls.addSlaveComponentGroupButton.content':'If you need different settings on certain {0}s, you can add a {1} group.<br>All {2}s within the same group will have the same set of settings.  You can create multiple groups.',
  'installer.controls.slaveComponentChangeGroupName.error':'group with this name already exist',

  'installer.step1.header':'Welcome',
  'installer.step1.body.header':'Welcome to Apache Ambari!',
  'installer.step1.body':'Ambari makes it easy to install, manage, and monitor Hadoop clusters.<br>' +
    'We will walk you through the cluster installation process with this step-by-step wizard.',
  'installer.step1.clusterName':'Name your cluster',
  'installer.step1.clusterName.tooltip.title':'Cluster Name',
  'installer.step1.clusterName.tooltip.content':'Enter a unique cluster name. Cluster name cannot be changed later.',
  'installer.step1.clusterName.error.required':'Cluster Name is required',
  'installer.step1.clusterName.error.whitespaces':'Cluster Name cannot contain white spaces',
  'installer.step1.clusterName.error.specialChar':'Cluster Name cannot contain special characters',

  'installer.step2.header':'Install Options',
  'installer.step2.body':'Enter the list of hosts to be included in the cluster and provide your SSH key.',
  'installer.step2.targetHosts':'Target Hosts',
  'installer.step2.targetHosts.info':'Enter a list of hosts using the Fully Qualified Domain Name (FQDN), one per line',
  'installer.step2.hostPattern.tooltip.title':'Pattern Expressions',
  'installer.step2.hostPattern.tooltip.content':'You can use pattern expressions to specify a number of target hosts. For example, to specify host01.domain thru host10.domain, enter host[01-10].domain in the target hosts textarea.',
  'installer.step2.hostName.error.required':'You must specify at least one host name',
  'installer.step2.hostName.error.already_installed':'All these hosts are already part of the cluster',
  'installer.step2.hostName.error.notRequired':'Host Names will be ignored if not using SSH to automatically configure hosts',
  'installer.step2.hostName.error.invalid':'Invalid Host Name(s)',
  'installer.step2.hostName.pattern.header':'Host name pattern expressions',
  'installer.step2.sshKey':'Host Registration Information',
  'installer.step2.sshKey.error.required':'SSH Private Key is required',
  'installer.step2.passphrase.error.match':'Passphrases do not match',
  'installer.step2.manualInstall.label':'Do not use SSH to automatically configure hosts ',
  'installer.step2.manualInstall.info':'By not using SSH to connect to the target hosts, you must manually install the ' +
    'Ambari Agent on each host in order for the wizard to perform the necessary configurations and software installs.',
  'installer.step2.advancedOption':'Advanced Options',
  'installer.step2.repoConf':'Software Repository Configuration File Path',
  'installer.step2.advancedOptions.header':'Advanced Options',
  'installer.step2.localRepo.label_use':'Use a',
  'installer.step2.localRepo.label_instead':'instead of downloading software packages from the Internet',
  'installer.step2.localRepo.error.required':'Local repository file path is required',
  'installer.step2.localRepo.tooltip.title':'Local Software Repository',
  'installer.step2.localRepo.tooltip.content': 'The cluster install requires access to the Internet to fetch software ' +
    'from a remote repository. In some cases, adequate bandwidth is not available and you want to prevent downloading ' +
    'packages from the remote repository over and over again. Other times, Internet access is not available from the ' +
    'hosts in your cluster. In these situations, you must set up a version of the repository that your machines can ' +
    'access locally and this is called a <b>Local Software Repository</b>',
  'installer.step2.javaHome.label' : 'Path to 64-bit JDK',
  'installer.step2.javaHome.tooltip.title' : 'JAVA_HOME',
  'installer.step2.javaHome.tooltip.content' : 'Path to 64-bit JAVA_HOME. /usr/jdk/jdk1.6.0_31 is the default used by Ambari. You can override this to a specific path that contains the JDK. <br/> Note: the path must be valid on <b>ALL</b> hosts in your cluster.',
  'installer.step2.useSsh.provide' : 'Provide your',
  'installer.step2.useSsh.provide_id_rsa' : '(id_rsa for root) and use SSH to automatically register hosts',
  'installer.step2.useSsh.tooltip.title':'SSH Private Key',
  'installer.step2.useSsh.tooltip.content':'The <b>SSH Private Key File</b> is used for the root access to the target hosts in your cluster.',
  'installer.step2.manualInstall.perform':'Perform',
  'installer.step2.manualInstall.perform_on_hosts':'on hosts and do not use SSH',
  'installer.step2.manualInstall.tooltip.title':'manual registration',
  'installer.step2.manualInstall.tooltip.content':'Manually registering the Ambari Agent on each host eliminates the need for SSH and should be performed prior to continuing cluster installation.',
  'installer.step2.manualInstall.popup.header':'Before You Proceed',
  'installer.step2.manualInstall.popup.body':'You must install Ambari Agents on each host you want to manage before you proceed.',
  'installer.step2.orUse':'Or use',
  'installer.step2.registerAndConfirm':'Register and Confirm',
  'installer.step2.evaluateStep.installedHosts':'These hosts are already installed on the cluster and will be ignored:',
  'installer.step2.evaluateStep.continueConfirm':'Do you want to continue?',
  'installer.step2.evaluateStep.hostRegInProgress':'Host Registration is currently in progress.  Please try again later.',

  'installer.step3.header':'Confirm Hosts',
  'installer.step3.body':'Registering your hosts.<br>' +
    'Please confirm the host list and remove any hosts that you do not want to include in the cluster.',
  'installer.step3.hostLog.popup.header':'Registration log for {0}',
  'installer.step3.hosts.remove.popup.header':'Remove Hosts',
  'installer.step3.hosts.remove.popup.body':'Are you sure you want to remove the selected host(s)?',
  'installer.step3.hostInformation.popup.header':'Error in retrieving host Information',
  'installer.step3.hostInformation.popup.body' : 'All bootstrapped hosts registered but unable to retrieve cpu and memory related information',
  'installer.step3.hostWarningsPopup.details':'Show Details',
  'installer.step3.hostWarningsPopup.directoriesAndFiles':'DIRECTORIES & FILES',
  'installer.step3.hostWarningsPopup.packages':'PACKAGES',
  'installer.step3.hostWarningsPopup.processes':'PROCESSES',
  'installer.step3.hostWarningsPopup.noProcesses':'No processes to display',
  'installer.step3.hostWarningsPopup.existOnHost':'WARN: already exists on host',
  'installer.step3.hostWarningsPopup.existOnOneHost':'WARN: already exists on 1 host',
  'installer.step3.hostWarningsPopup.existOnManyHost':'WARN: already exists on {0} hosts',
  'installer.step3.hostWarningsPopup.installedOnHost':'WARN: already installed on host',
  'installer.step3.hostWarningsPopup.installedOnOneHost':'WARN: already installed on 1 host',
  'installer.step3.hostWarningsPopup.installedOnManyHost':'WARN: already installed on {0} hosts',
  'installer.step3.hostWarningsPopup.runningOnHost':'WARN: running on host',
  'installer.step3.hostWarningsPopup.runningOnOneHost':'WARN: running on 1 host',
  'installer.step3.hostWarningsPopup.runningOnManyHost':'WARN: running on {0} hosts',
  'installer.step3.hostWarningsPopup.rerunChecks':'Rerun Checks',
  'installer.step3.warningsWindow.allHosts':'Warnings across all hosts',
  'installer.step3.warningsWindow.warningsOn':'Warnings on ',
  'installer.step3.warningsWindow.directoriesAndFiles':'DIRECTORIES AND FILES',
  'installer.step3.warningsWindow.noWarnings':'No warnings',
  'installer.step3.hosts.noHosts':'No hosts to display',
  'installer.step3.warnings.popup.header':'Host Checks',
  'installer.step3.warnings.description':'Some warnings were encountered while performing checks against the above hosts.',
  'installer.step3.warnings.linkText':'Click here to see the warnings.',
  'installer.step3.noWarnings.linkText':'Click here to see the check results.',
  'installer.step3.warnings.noWarnings':'All host checks were successful.',
  'installer.step3.warnings.updateChecks.success':'Host Checks successfully updated',
  'installer.step3.warnings.updateChecks.failed':'Host Checks update failed',
  'installer.step3.removeSelected':'Remove Selected',
  'installer.step3.retryFailed':'Retry Failed',
  'installer.step3.hosts.status.registering':'Registering',
  'installer.step3.hosts.status.installing':'Installing',
  'installer.step3.hosts.bootLog.failed':'\nRegistration with the server failed.',
  'installer.step3.hosts.bootLog.registering':'\nRegistering with the server...',
  'installer.step3.hostLogPopup.highlight':'click to highlight',
  'installer.step3.hostLogPopup.copy':'press CTRL+C',

  'installer.step4.header':'Choose Services',
  'installer.step4.body':'Choose which services you want to install on your cluster.',
  'installer.step4.mapreduceCheck.popup.header':'MapReduce Needed',
  'installer.step4.mapreduceCheck.popup.body':'You did not select MapReduce, but it is needed by other services you selected.  We will automatically add MapReduce.  Is this OK?',
  'installer.step4.monitoringCheck.popup.header':'Limited Functionality Warning',
  'installer.step4.monitoringCheck.popup.body':'You did not select Nagios and/or Ganglia.  If both are not selected, monitoring and alerts will not function properly.  Is this OK?',

  'installer.step5.header':'Assign Masters',
  'installer.step5.reassign.header':'Select Target Host',
  'installer.step5.attention':' hosts not running master services',
  'installer.step5.body':'Assign master components to hosts you want to run them on.',
  'installer.step5.body.hive':'<i class="icon-asterisks">&#10037</i> HiveServer2, Hive Metastore, and WebHCat Server will be hosted on the same server.',
  'installer.step5.hostInfo':'%@ (%@, %@ cores)',
  'installer.step5.hiveGroup':'HiveServer2, WebHCat Server, MySQL Server',

  'installer.step6.header':'Assign Slaves and Clients',
  'installer.step6.body':'Assign slave and client components to hosts you want to run them on.<br/>Hosts that are assigned master components are shown with <i class=icon-asterisks>&#10037</i>. <br/>&quot;Client&quot; will install ',
  'installer.step6.error.mustSelectOne':'You must assign at least one host to each component.',
  'installer.step6.error.mustSelectOneForHost':'You must assign at least one slave/client component to each.',
  'installer.step6.wizardStep6Host.title':'master components hosted on {0}',
  'installer.step6.addHostWizard.body':'Assign HBase master and ZooKeeper server.',
  'installer.step6.error.mustSelectOneForSlaveHost': 'You must assign at least one slave/client component to each host with no master component',

  'installer.step7.header':'Customize Services',
  'installer.step7.body':'We have come up with recommended configurations for the services you selected. Customize them as you see fit.',
  'installer.step7.attentionNeeded':'<b>Attention:</b> Some configurations need your attention before you can proceed.',
  'installer.step7.config.addProperty':'Add Property',
  'installer.step7.ConfigErrMsg.header':'Custom configuration error: ',
  'installer.step7.ConfigErrMsg.message':'Error in custom configuration. Some properties entered in the box are already exposed on this page',

  'installer.step8.header':'Review',
  'installer.step8.body':'Please review the configuration before installation',
  'installer.step8.deployPopup.message':'Preparing to Deploy: {0} of {1} tasks completed.',
  'installer.step8.hosts':' hosts',
  'installer.step8.host':' host',
  'installer.step8.other':' and {0} other hosts',

  'installer.step9.header':'Install, Start and Test',
  'installer.step9.body':'Please wait while the selected services are installed and started.',
  'installer.step9.status.success':'Successfully installed and started the services.',
  'installer.step9.status.warning':'Installed and started the services with some warnings.',
  'installer.step9.status.failed':'Failed to install/start the services.',
  'installer.step9.host.status.success':'Success',
  'installer.step9.host.status.warning':'Warnings encountered',
  'installer.step9.host.status.failed':'Failures encountered',
  'installer.step9.host.status.nothingToInstall':'Waiting (Nothing to install)',
  'installer.step9.hosts.status.label.inProgress':'In Progress',
  'installer.step9.hosts.status.label.warning':'Warning',
  'installer.step9.hostLog.popup.header':'Tasks. executed on ',
  'installer.step9.hostLog.popup.categories.all':'All',
  'installer.step9.hostLog.popup.categories.pending':'Queued / Pending',
  'installer.step9.hostLog.popup.categories.in_progress':'In Progress',
  'installer.step9.hostLog.popup.categories.failed':'Failed',
  'installer.step9.hostLog.popup.categories.completed':'Success',
  'installer.step9.hostLog.popup.categories.aborted':'Cancelled',
  'installer.step9.hostLog.popup.categories.timedout':'Timed Out',
  'installer.step9.hostLog.popup.noTasksToShow':'No tasks to show',
  'installer.step9.overallProgress':'{0} % overall',
  'installer.step9.serviceStatus.install.pending':'Preparing to install ',
  'installer.step9.serviceStatus.install.queued':'Waiting to install ',
  'installer.step9.serviceStatus.install.inProgress':'Installing ',
  'installer.step9.serviceStatus.install.completed':'Successfully installed ',
  'installer.step9.serviceStatus.install.failed':'Failed to install ',
  'installer.step9.serviceStatus.uninstall.pending':'Preparing to uninstall ',
  'installer.step9.serviceStatus.uninstall.queued':'Waiting to uninstall ',
  'installer.step9.serviceStatus.uninstall.inProgress':'Uninstalling ',
  'installer.step9.serviceStatus.uninstall.completed':'Successfully uninstalled ',
  'installer.step9.serviceStatus.uninstall.failed':'Failed to uninstall ',
  'installer.step9.serviceStatus.start.pending':'Preparing to start ',
  'installer.step9.serviceStatus.start.queued':'Waiting to start ',
  'installer.step9.serviceStatus.start.inProgress':'Starting ',
  'installer.step9.serviceStatus.start.completed':' started successfully',
  'installer.step9.serviceStatus.start.failed':' failed to start',
  'installer.step9.serviceStatus.stop.pending':'Preparing to stop ',
  'installer.step9.serviceStatus.stop.queued':'Waiting to stop ',
  'installer.step9.serviceStatus.stop.inProgress':'Stopping ',
  'installer.step9.serviceStatus.stop.completed':' stopped successfully',
  'installer.step9.serviceStatus.stop.failed':' failed to stop',
  'installer.step9.serviceStatus.execute.pending':'Preparing to execute ',
  'installer.step9.serviceStatus.execute.queued':'Waiting to execute ',
  'installer.step9.serviceStatus.execute.inProgress':'Executing ',
  'installer.step9.serviceStatus.execute.completed':' executed successfully',
  'installer.step9.serviceStatus.execute.failed':' failed to execute',
  'installer.step9.serviceStatus.abort.pending':'Preparing to abort ',
  'installer.step9.serviceStatus.abort.queued':'Waiting to abort ',
  'installer.step9.serviceStatus.abort.inProgress':'Aborting ',
  'installer.step9.serviceStatus.abort.completed':' aborted successfully',
  'installer.step9.serviceStatus.abort.failed':' failed to abort',
  'installer.step9.serviceStatus.upgrade.pending':'Preparing to upgrade ',
  'installer.step9.serviceStatus.upgrade.queued':'Waiting to upgrade ',
  'installer.step9.serviceStatus.upgrade.inProgress':'Upgrading ',
  'installer.step9.serviceStatus.upgrade.completed':' upgraded successfully',
  'installer.step9.serviceStatus.upgrade.failed':' failed to upgrade',

  'installer.step10.header':'Summary',
  'installer.step10.body':'Here is the summary of the install process.',
  'installer.step10.nagiosRestartRequired':'<b>Important!</b> Restarting Nagios service is required for the alerts and notifications to work properly.  After clicking on the Complete button to dismiss this wizard, go to Services -> Nagios to restart the Nagios service.',
  'installer.step10.hostsSummary':'The cluster consists of {0} hosts',
  'installer.step10.servicesSummary':'Installed and started services successfully on {0} new ',
  'installer.step10.warnings':' warnings',
  'installer.step10.clusterState.installing':'Installing ',
  'installer.step10.clusterState.starting':'Starting ',
  'installer.step10.taskStatus.failed':' failed on ',
  'installer.step10.taskStatus.aborted':' aborted on ',
  'installer.step10.taskStatus.timedOut':' timed out on ',
  'installer.step10.installStatus.failed':'Installing master services failed',
  'installer.step10.installStatus.installed':'Master services installed',
  'installer.step10.master.nameNode':'NameNode installed on ',
  'installer.step10.master.secondaryNameNode':'SecondaryNameNode installed on ',
  'installer.step10.master.jobTracker':'JobTracker installed on ',
  'installer.step10.master.zooKeeper':'ZooKeeper installed on ',
  'installer.step10.master.hbase':'HBase Master installed on ',
  'installer.step10.master.hiveMetastore':'Hive Metastore installed on ',
  'installer.step10.master.oozie':'Oozie Server installed on ',
  'installer.step10.master.ganglia':'Ganglia Server installed on ',
  'installer.step10.master.nagios':'Nagios Server installed on ',
  'installer.step10.startStatus.failed':'Starting services failed',
  'installer.step10.startStatus.passed':'All tests passed',
  'installer.step10.startStatus.started':'All services started',
  'installer.step10.installTime.seconds':'Install and start completed in {0} seconds',
  'installer.step10.installTime.minutes':'Install and start completed in {0} minutes and {1} seconds',
  'installer.step11.header':'Prerequisites',
  'installer.step12.header':'Reconfigure',
  'installer.step13.header':'Review',
  'installer.step13.body':'Please review the changes you made',
  'installer.step13.targetHost':'Target Host:',
  'installer.step13.sourceHost':'Source Host:',
  'installer.step13.changes':'Configs to change:',
  'installer.step13.component':'Component name:',
  'installer.step14.task0':'{0} stop',
  'installer.step14.task1':'{0} create',
  'installer.step14.task2':'{0} configs create',
  'installer.step14.task3':'{0} configs apply',
  'installer.step14.task4':'{0} put in maintenance mode',
  'installer.step14.task5':'{0} install',
  'installer.step14.task6':'{0} start',
  'installer.step14.task7':'{0} remove',
  'installer.step14.status.success': 'Successfully reassigned {0}',
  'installer.step14.status.failed': 'Failed to reassign {0}',
  'installer.step14.status.info': 'Reassigning {0}. \nPlease wait while all tasks will be completed.',
  'installer.step14.retry': 'You can click on the Retry or Abort button to retry failed task or abort changes',
  'installer.step14.abortError': 'Error in aborting changes.',

  'installer.stackUpgrade.header':'Stack Upgrade Wizard',
  'installer.stackUpgrade.step1.newVersion':'New Version',
  'installer.stackUpgrade.step1.installedVersion':'Installed Version',
  'installer.stackUpgrade.step1.installedStackVersion':'Installed stack version',
  'installer.stackUpgrade.step1.upgradeStackVersion':'Upgrade stack version',
  'installer.stackUpgrade.step1.description':'This Stack Upgrade Wizard will walk you through the steps of upgrading the cluster to the latest available stack version.',

  'installer.stackUpgrade.step2.notice.header':'Important before you proceed, please perform following.',
  'installer.stackUpgrade.step2.notice.first':'Make sure that your NameNode is backed up.',
  'installer.stackUpgrade.step2.notice.second':'Make sure that your NameNode is backed up.',
  'installer.stackUpgrade.step2.notice.third':'Make sure that your NameNode is backed up.',
  'installer.stackUpgrade.step2.notice.complete':'Once you have completed the above, click on Upgrade to initiate the upgrade process on all hosts in your cluster',
  'installer.stackUpgrade.step2.advancedOption':'Advanced Option',
  'installer.stackUpgrade.step2.localRepository':'Use a local repository',
  'installer.stackUpgrade.step2.popup.body':'We cannot proceed since some of the master components are not currently running. Please ensure that all services are running before continuing.',
  'installer.stackUpgrade.step3.ProceedWithWarning':'Proceed with Warning',
  'installer.stackUpgrade.step3.status.success':'Successfully upgraded the cluster to {0}',
  'installer.stackUpgrade.step3.status.info':"Upgrading the cluster. \nPlease wait while we perform cluster upgrade.",
  'installer.stackUpgrade.step3.status.warning':"Upgraded the cluster to {0} with some warnings.\nYou can start using the cluster but the components that failed to upgrade will not be functional."+
  "You can click on the Retry button to retry upgrading the failed components. Alternatively you can proceed and retry upgrade on individual components in the Host Detail page.",
  'installer.stackUpgrade.step3.status.failed':"Failed to upgrade hosts. Click on each host to see what might have gone wrong.\n After fixing the problem, click the Retry button",
  'installer.stackUpgrade.step3.host.nothingToUpgrade':'Waiting (Nothing to upgrade)',
  'installer.stackUpgrade.step3.service.upgraded':'Services upgraded',
  'installer.stackUpgrade.step3.service.upgrading':'Services upgrade in progress',
  'installer.stackUpgrade.step3.service.pending':'Services upgrade pending',
  'installer.stackUpgrade.step3.service.failedUpgrade':'Services failed to upgrade',
  'installer.stackUpgrade.step3.service.stopped':'All Services stopped',
  'installer.stackUpgrade.step3.service.stopping':'All Services stopping',
  'installer.stackUpgrade.step3.service.stopFail':'All Services failed to stop',
  'installer.stackUpgrade.step3.service.stopPending':'All Services stop pending',
  'installer.stackUpgrade.step3.retry.upgrade':'Retry Upgrade',
  'installer.stackUpgrade.step3.retry.services':'Retry stopping services',
  'installer.stackUpgrade.step3.upgrade.header':'All Services upgrade',
  'installer.stackUpgrade.step3.stop.header':'All Services stop',

  'form.create':'Create',
  'form.save':'Save',
  'form.cancel':'Cancel',
  'form.password':'Password',
  'form.passwordRetype':'Retype Password',
  'form.saveSuccess':'Successfully saved.',
  'form.saveError':'Sorry, errors occurred.',
  'form.item.placeholders.typePassword':'Type password',

  'form.validator.invalidIp':'Please enter valid ip address',
  'form.validator.configKey':'Invalid Key. Only alphanumerics, hyphens, underscores, and periods are allowed.',

  'admin.advanced.title':'Advanced',
  'admin.advanced.caution':'This section is for advanced user only.<br/>Proceed with caution.',
  'admin.advanced.button.uninstallIncludingData':'Uninstall cluster including all data.',
  'admin.advanced.button.uninstallKeepData':'Uninstall cluster but keep data.',

  'admin.advanced.popup.header':'Uninstall Cluster',

  /*'admin.advanced.popup.text':'Uninstall Cluster',*/

  'admin.audit.grid.date':"Date/Time",
  'admin.audit.grid.category':"Category",
  'admin.audit.grid.operationName':"Operation",
  'admin.audit.grid.performedBy':"Performed By",
  'admin.audit.grid.service':"Category",

  'admin.authentication.form.method.database':'Use Ambari Database to authenticate users',
  'admin.authentication.form.method.ldap':'Use LDAP/Active Directory to authenticate',
  'admin.authentication.form.primaryServer':'Primary Server',
  'admin.authentication.form.secondaryServer':'Secondary Server',
  'admin.authentication.form.useSsl':'Use SSL',
  'admin.authentication.form.bind.anonymously':"Bind Anonymously",
  'admin.authentication.form.bind.useCrenedtials':"Use Credentials To Bind",
  'admin.authentication.form.bindUserDN':'Bind User DN',
  'admin.authentication.form.searchBaseDN':'Search Base DN',
  'admin.authentication.form.usernameAttribute':'Username Attribute',

  'admin.authentication.form.userDN':'User DN',
  'admin.authentication.form.password':'Password',
  'admin.authentication.form.configurationTest':'Configuration Test',
  'admin.authentication.form.testConfiguration':'Test Configuration',

  'admin.authentication.form.test.success':'The configuration passes the test',
  'admin.authentication.form.test.fail':'The configuration fails the test',

  'admin.security.title':'Kerberos Security has not been enabled on this cluster.',
  'admin.security.enabled': 'Kerberos security is enabled on the cluster',
  'admin.security.disabled': 'Kerberos security is disabled on the cluster',
  'admin.security.button.enable':'Enable Security',
  'admin.security.button.disable':'Disable Security',
  'admin.security.enable.popup.body': 'We will walk you through add security wizard',
  'admin.security.enable.popup.header': 'Add security',
  'admin.security.disable.popup.header': 'Remove security',
  'admin.security.disable.popup.body': 'Kerberos security will be disabled on the cluster',
  'admin.addSecurity.header': 'Add security wizard',
  'admin.security.step1.header': 'Start',
  'admin.security.step2.header': 'Configure',
  'admin.security.step3.header': 'Apply',
  'admin.security.step1.body.header': 'Important: Before configuring your cluster to use Kerberos security, you must perform the following manual steps on your cluster.',
  'admin.security.step1.body.instruction1': 'Install, configure and start KDC',
  'admin.security.step1.body.instruction2': 'Install, configure and start kadmin',
  'admin.security.step1.body.instruction3': 'Install and start clients on all machines',
  'admin.security.step2.body.header': 'Configure Kerberos security properties',
  'admin.security.step3.body.header': 'Applying kerberos security to the cluster',
  'admin.addSecurity.apply.stage1': '1. Checking KDC',
  'admin.addSecurity.apply.stage2': '1. Stopping Services',
  'admin.addSecurity.apply.stage3': '2. Saving Configurations',
  'admin.addSecurity.apply.stage4': '3. Starting Services',
  'admin.addSecurity.apply.stage5': '5. Smoke Test',
  'admin.removeSecurity.header': 'Disable Security',
  'admin.security.status.error' : 'Error in retrieving cluster security status from Ambari server',
  'admin.users.ldapAuthUsed':'LDAP Authentication is being used to authenticate users',
  'admin.users.delete.yourself.message':'You can\'t delete yourself',
  'admin.users.delete.yourself.header':'Deleting warning',

  'admin.users.delete.header':'Delete {0}',

  'admin.users.addButton':'Add Local User',
  'admin.users.editButton': 'Edit Local User',
  'admin.users.delete':'delete',
  'admin.users.edit':'edit',
  'admin.users.privileges':'Admin',
  'admin.users.type':'Type',
  'admin.users.action':'Action',
  'admin.users.password':'Password',
  'admin.users.passwordRetype':'Retype Password',
  'admin.users.username':'Username',
  'admin.users.createSuccess': 'User successfully created.',
  'admin.users.createError': 'Error occurred while user creating.',
  'admin.users.createError.passwordValidation': 'Passwords are different',
  'admin.users.createError.userNameExists': 'User with the same name is already exists',
  'admin.users.editError.requiredField': 'This is required',

  'admin.confirmUninstall':'Confirm Uninstall',
  'admin.cluster.stackVersion':'Cluster Stack Version',
  'admin.cluster.upgradeAvailable':'Upgrade available',
  'admin.cluster.upgradeUnavailable':'Upgrade unavailable',

  'admin.misc.header': 'Service Users and Groups',
  'admin.misc.nothingToShow': 'No user accounts to display',

  'services.service.start':'Start',
  'services.service.stop':'Stop',
  'services.service.summary.version':'Version',
  'services.service.summary.nameNode':'NameNode Web UI',
  'services.service.summary.nameNodeUptime':'NameNode Uptime',
  'services.service.summary.nameNodeHeap':'NameNode Heap',
  'services.service.summary.pendingUpgradeStatus':'Upgrade Status',
  'services.service.summary.pendingUpgradeStatus.pending':'Pending upgrade',
  'services.service.summary.pendingUpgradeStatus.notPending':'No pending upgrade',
  'services.service.summary.safeModeStatus':'Safe Mode Status',
  'services.service.summary.safeModeStatus.inSafeMode':'In safe mode',
  'services.service.summary.safeModeStatus.notInSafeMode':'Not in safe mode',
  'services.service.summary.dataNodes':'DataNodes',
  'services.service.summary.diskCapacity':'HDFS Disk Capacity',
  'services.service.summary.blocksTotal':'Blocks (total)',
  'services.service.summary.blockErrors':'Block Errors',
  'services.service.summary.totalFiles':'Total Files + Dirs',
  'services.service.summary.jobTracker':'JobTracker',
  'services.service.summary.jobTrackerWebUI':'JobTracker Web UI',
  'services.service.summary.jobTrackerUptime':'JobTracker Uptime',
  'services.service.summary.trackersLiveTotal':'Trackers',
  'services.service.summary.trackersBlacklistGraylist':'Trackers',
  'services.service.summary.jobTrackerHeap':'JobTracker Heap',
  'services.service.summary.totalSlotsCapacity':'Total Slots Capacity',
  'services.service.summary.totalJobs':'Total Jobs',
  'services.service.summary.currentSlotUtiliMaps':'Map Slots',
  'services.service.summary.currentSlotUtiliReduces':'Reduce Slots',
  'services.service.summary.tasksMaps':'Tasks: Maps',
  'services.service.summary.tasksReduces':'Tasks: Reduces',
  'services.service.summary.hbaseMaster':'HBase Master Web UI',
  'services.service.summary.regionServerCount':'RegionServer Count',
  'services.service.summary.regionInTransition':'Region In Transition',
  'services.service.summary.masterStarted':'Master Started',
  'services.service.summary.masterActivated':'Master Activated',
  'services.service.summary.averageLoad':'Average Load',
  'services.service.summary.masterHeap':'Master Heap',
  'services.service.summary.moreStats':'more stats here',
  'services.service.summary.clientCount': '{0} Client Hosts',
  'services.service.actions.run.rebalancer':'Run Rebalancer',
  'services.service.actions.run.compaction':'Run Compaction',
  'services.service.actions.run.smoke':'Run Smoke Test',
  'services.service.actions.reassign.master':'Reassign {0}',
  'services.service.actions.reassign.master.hive':'Reassign HiveServer2, WebHCat Server, MySQL Server',
  'services.service.actions.maintenance':'Maintenance',
  'services.service.summary.unknown':'unknown',
  'services.service.summary.notRunning':'Not Running',
  'services.service.summary.notAvailable':'n/a',

  'services.service.info.metrics.hbase.clusterRequests':'Cluster Requests',
  'services.service.info.metrics.hbase.clusterRequests.displayNames.requestCount':'Request Count',
  'services.service.info.metrics.hbase.hlogSplitSize':'HLog Split Size',
  'services.service.info.metrics.hbase.hlogSplitSize.displayNames.splitSize':'Split Size',
  'services.service.info.metrics.hbase.hlogSplitTime':'HLog Split Time',
  'services.service.info.metrics.hbase.hlogSplitTime.displayNames.splitTime':'Split Time',
  'services.service.info.metrics.hbase.regionServerQueueSize':'RegionServer Queue Size',
  'services.service.info.metrics.hbase.regionServerQueueSize.displayNames.compactionQueueSize':'Compaction Queue Size',
  'services.service.info.metrics.hbase.regionServerQueueSize.displayNames.flushQueueSize':'Flush Queue Size',
  'services.service.info.metrics.hbase.regionServerRegions':'RegionServer Regions',
  'services.service.info.metrics.hbase.regionServerRegions.displayNames.regions':'Regions',
  'services.service.info.metrics.hbase.regionServerRequests':'Cumulative Requests',
  'services.service.info.metrics.hbase.regionServerRequests.displayNames.writeRequests':'Write Requests',
  'services.service.info.metrics.hbase.regionServerRequests.displayNames.readRequests':'Read Requests',

  'services.service.info.metrics.hdfs.blockStatus':'Block Status',
  'services.service.info.metrics.hdfs.blockStatus.displayNames.pendingReplicationBlocks':'Pending Replication Blocks',
  'services.service.info.metrics.hdfs.blockStatus.displayNames.underReplicatedBlocks':'Under Replicated Blocks',
  'services.service.info.metrics.hdfs.fileOperations':'File Operations',
  'services.service.info.metrics.hdfs.fileOperations.displayNames.fileInformationOperations':'File Information Operations',
  'services.service.info.metrics.hdfs.fileOperations.displayNames.deleteFileOperations':'Delete File Operations',
  'services.service.info.metrics.hdfs.fileOperations.displayNames.createFileOperations':'Create File Operations',
  'services.service.info.metrics.hdfs.gc':'Garbage Collection',
  'services.service.info.metrics.hdfs.gc.displayNames.gcTimeMillis':'Time',
  'services.service.info.metrics.hdfs.io':'HDFS I/O',
  'services.service.info.metrics.hdfs.io.displayNames.bytesWritten':'Bytes Written',
  'services.service.info.metrics.hdfs.io.displayNames.bytesRead':'Bytes Read',
  'services.service.info.metrics.hdfs.jvmHeap':'JVM Memory Status',
  'services.service.info.metrics.hdfs.jvmHeap.displayNames.memHeapCommittedM':'Heap Memory Committed',
  'services.service.info.metrics.hdfs.jvmHeap.displayNames.memNonHeapUsedM':'Non Heap Memory Used',
  'services.service.info.metrics.hdfs.jvmHeap.displayNames.memHeapUsedM':'Heap Memory Used',
  'services.service.info.metrics.hdfs.jvmHeap.displayNames.memNonHeapCommittedM':'Non Heap Memory Committed',
  'services.service.info.metrics.hdfs.jvmThreads':'JVM Thread Status',
  'services.service.info.metrics.hdfs.jvmThreads.displayNames.threadsBlocked':'Threads Blocked',
  'services.service.info.metrics.hdfs.jvmThreads.displayNames.threadsWaiting':'Threads Waiting',
  'services.service.info.metrics.hdfs.jvmThreads.displayNames.threadsTimedWaiting':'Threads Timed Waiting',
  'services.service.info.metrics.hdfs.jvmThreads.displayNames.threadsRunnable':'Threads Runnable',
  'services.service.info.metrics.hdfs.rpc':'RPC',
  'services.service.info.metrics.hdfs.rpc.displayNames.rpcQueueTimeAvgTime':'Queue Average Wait Time',
  'services.service.info.metrics.hdfs.spaceUtilization':'Total Space Utilization',
  'services.service.info.metrics.hdfs.spaceUtilization.displayNames.capacityRemainingGB':'Capacity Remaining',
  'services.service.info.metrics.hdfs.spaceUtilization.displayNames.capacityUsedGB':'Capacity Used',
  'services.service.info.metrics.hdfs.spaceUtilization.displayNames.capacityTotalGB':'Capacity Total',

  'services.service.info.metrics.mapreduce.gc':'Garbage Collection',
  'services.service.info.metrics.mapreduce.gc.displayNames.gcTimeMillis':'Time',
  'services.service.info.metrics.mapreduce.jobsStatus':'Jobs Status',
  'services.service.info.metrics.mapreduce.jobsStatus.displayNames.jobsRunning':'Running',
  'services.service.info.metrics.mapreduce.jobsStatus.displayNames.jobsFailed':'Failed',
  'services.service.info.metrics.mapreduce.jobsStatus.displayNames.jobsCompleted':'Succeeded',
  'services.service.info.metrics.mapreduce.jobsStatus.displayNames.jobsPreparing':'Preparing',
  'services.service.info.metrics.mapreduce.jobsStatus.displayNames.jobsSubmitted':'Submitted',
  'services.service.info.metrics.mapreduce.jvmHeap':'JVM Memory Status',
  'services.service.info.metrics.mapreduce.jvmHeap.displayNames.memHeapCommittedM':'Heap Memory Committed',
  'services.service.info.metrics.mapreduce.jvmHeap.displayNames.memNonHeapUsedM':'Non Heap Memory Used',
  'services.service.info.metrics.mapreduce.jvmHeap.displayNames.memHeapUsedM':'Heap Memory Used',
  'services.service.info.metrics.mapreduce.jvmHeap.displayNames.memNonHeapCommittedM':'Non Heap Memory Committed',
  'services.service.info.metrics.mapreduce.jvmThreads':'JVM Thread Status',
  'services.service.info.metrics.mapreduce.jvmThreads.displayNames.threadsBlocked':'Threads Blocked',
  'services.service.info.metrics.mapreduce.jvmThreads.displayNames.threadsWaiting':'Threads Waiting',
  'services.service.info.metrics.mapreduce.jvmThreads.displayNames.threadsTimedWaiting':'Threads Timed Waiting',
  'services.service.info.metrics.mapreduce.jvmThreads.displayNames.threadsRunnable':'Threads Runnable',
  'services.service.info.metrics.mapreduce.mapSlots':'Map Slots Utilization',
  'services.service.info.metrics.mapreduce.mapSlots.displayNames.reservedMapSlots':'Map Slots Reserved',
  'services.service.info.metrics.mapreduce.mapSlots.displayNames.occupiedMapSlots':'Map Slots Occupied',
  'services.service.info.metrics.mapreduce.reduceSlots':'Reduce Slots Utilization',
  'services.service.info.metrics.mapreduce.reduceSlots.displayNames.reservedReduceSlots':'Reduce Slots Reserved',
  'services.service.info.metrics.mapreduce.reduceSlots.displayNames.occupiedReduceSlots':'Reduce Slots Occupied',
  'services.service.info.metrics.mapreduce.rpc':'RPC',
  'services.service.info.metrics.mapreduce.rpc.displayNames.RpcQueueTimeAvgTime':'Queue Average Wait Time',
  'services.service.info.metrics.mapreduce.tasksRunningWaiting':'Tasks (Running/Waiting)',
  'services.service.info.metrics.mapreduce.tasksRunningWaiting.displayNames.runningMaps':'Running Map Tasks',
  'services.service.info.metrics.mapreduce.tasksRunningWaiting.displayNames.runningReduces':'Running Reduce Tasks',
  'services.service.info.metrics.mapreduce.tasksRunningWaiting.displayNames.waitingMaps':'Waiting Map Tasks',
  'services.service.info.metrics.mapreduce.tasksRunningWaiting.displayNames.waitingReduces':'Waiting Reduce Tasks',

  'services.service.info.menu.summary':'Summary',
  'services.service.info.menu.configs':'Configs',
  'services.service.info.summary.hostsRunningMonitor':'{0} hosts running monitor',
  'services.service.info.summary.hostRunningMonitor':'1 host running monitor',
  'services.service.info.summary.serversHostCount':'{0} more',
  'services.service.info.summary.nagiosWebUI':'Nagios Web UI',
  'services.service.info.summary.nagios.noAlerts':'No alerts',
  'services.service.info.summary.nagios.alerts':'Nagios service required for viewing alerts',

  'services.service.config.saved':'Saved Configuration Changes',
  'services.service.config.notSaved':'Unable to Save Configuration Changes',
  'services.service.config.restartService.TooltipMessage':'<b>Restart Service</b><br>Stale configuration used by {0} components on {1} hosts:{2}',
  'services.service.config.saved.message':'Service configuration changes saved successfully.',
  'services.service.config.msgServiceStop':'Could not save configuration changes.  Please stop the service first. You will be able to save configuration changes after all of its components are stopped.',
  'services.service.config.msgHDFSMapRServiceStop':'Could not save configuration changes.  Please stop both HDFS and MapReduce first.  You will be able to save configuration changes after all HDFS and MapReduce components are stopped.',
  'services.service.config.failCreateConfig' : 'Failure in creating service configuration',
  'services.service.config.failSaveConfig':'Failure in saving service configuration',
  'services.service.config.failSaveConfigHostExceptions':'Failure in saving service configuration host exceptions',
  'services.service.config.addPropertyWindow.errorMessage':'This is required',
  'services.service.config.addPropertyWindow.error.derivedKey':'This property is already defined',
  'services.service.config.stopService.runningHostComponents':'{0} components on {1} hosts are still running',
  'services.service.config.stopService.unknownHostComponents':'{0} components on {1} hosts are in unknown state.  These components might actually be running and need restarting later to make the changes effective.',
  'services.service.config.confirmDirectoryChange':'You are about to make changes to service directories that are core to {0}. Before you proceed, be absolutely certain of the implications and that you have taken necessary manual steps, if any, for the changes. Are you sure you want to proceed?',

  'services.add.header':'Add Service Wizard',
  'services.reassign.header':'Reassign Master Wizard',
  'services.service.add':'Add Service',
  'services.service.startAll':'Start All',
  'services.service.stopAll':'Stop All',

  /** services page constants **/

  'service.hbase.activeMaster': 'Active Master',
  'service.hbase.passiveMasters': 'and {0} Standby Masters',

  'services.hive.client': 'Hive Client',
  'services.hive.clients': 'Hive Clients',

  'services.oozie.client': 'Oozie Client',
  'services.oozie.clients': 'Oozie Clients',
  'services.oozie.webUi': 'Oozie Web UI',

  'services.hue.webUi': 'Hue Web UI',

  'services.ganglia.webUi': 'Ganglia Web UI',
  'services.ganglia.monitors': 'Ganglia Monitors',

  'services.zookeeper.prefix': '{0} of',
  'services.zookeeper.title': '{0} ZooKeepers',
  'services.zookeeper.postfix': 'running',

  'services.mapReduce.config.addQueue':'Add Queue',
  'services.mapReduce.config.editQueue':'Edit Queue',
  'services.mapReduce.config.capacitySchedulerXml':'Custom capacity-scheduler.xml',
  'services.mapReduce.config.queue.header':'Queues',
  'services.mapReduce.config.queue.name':'Queue Name',
  'services.mapReduce.config.queue.groups':'Groups',
  'services.mapReduce.config.queue.capacity':'Capacity',
  'services.mapReduce.config.queue.maxCapacity':'Max Capacity',
  'services.mapReduce.config.queue.minUserLimit':'Min User Limit',
  'services.mapReduce.config.queue.userLimitFactor':'User Limit Factor',
  'services.mapReduce.config.queue.supportsPriority': 'Supports priority',
  'services.mapReduce.config.queue.adminUsers':'Admin Users',
  'services.mapReduce.config.queue.adminGroups':'Admin Groups',
  'services.mapReduce.config.queue.maxActiveTasks':'Max active initialized tasks',
  'services.mapReduce.config.queue.maxActiveTasksPerUser':'Max active initialized tasks per user',
  'services.mapReduce.config.queue.initAcceptJobsFactor':'Init accept jobs factor',
  'services.mapReduce.extraConfig.queue.name':'Queue name',
  'services.mapReduce.description.queue.name':'Name of the queue',
  'services.mapReduce.description.queue.submit.user':"Comma separated list of usernames that are allowed to submit jobs to the queue. " +
    "If set to the special value '*', it means all users are allowed to submit jobs.",
  'services.mapReduce.description.queue.admin.user':"Comma separated list of usernames that are allowed to delete jobs or modify job's priority for " +
    "jobs not owned by the current user in the queue.  If set to the special value '*', it means all users are " +
    "allowed to do this operation.",
  'services.mapReduce.description.queue.submit.group':'Comma separated list of group names that are allowed to submit jobs to the queue.',
  'services.mapReduce.description.queue.admin.group':"Comma separated list of group names that are allowed to delete jobs or modify job's priority " +
    "for jobs not owned by the current user in the queue.",

  'services.hbase.master.error':'None of the HBase masters is active',

  'hosts.host.add':'Add New Hosts',
  'hosts.host.back':'Back to Hosts',
  'hosts.table.noHosts':'No hosts to display',
  
  'hosts.selectHostsDialog.title': 'Select Exception Hosts',
  'hosts.selectHostsDialog.message': 'Select hosts where the exception has to be applied',
  'hosts.selectHostsDialog.filter.placeHolder': 'Filter...',
  'hosts.selectHostsDialog.selectedHostsLink': '{0} out of {1} hosts selected',

  'hosts.host.metrics.cpu':'CPU Usage',
  'hosts.host.metrics.cpu.displayNames.cpu_wio':'CPU I/O Idle',
  'hosts.host.metrics.cpu.displayNames.cpu_idle':'CPU Idle',
  'hosts.host.metrics.cpu.displayNames.cpu_nice':'CPU Nice',
  'hosts.host.metrics.cpu.displayNames.cpu_aidle':'CPU Boot Idle',
  'hosts.host.metrics.cpu.displayNames.cpu_system':'CPU System',
  'hosts.host.metrics.cpu.displayNames.cpu_user':'CPU User',
  'hosts.host.metrics.disk':'Disk Usage',
  'hosts.host.metrics.disk.displayNames.disk_total':'Total',
  'hosts.host.metrics.disk.displayNames.disk_free':'Available',
  'hosts.host.metrics.load':'Load',
  'hosts.host.metrics.load.displayNames.load_fifteen':'15 Minute Load',
  'hosts.host.metrics.load.displayNames.load_one':'1 Minute Load',
  'hosts.host.metrics.load.displayNames.load_five':'5 Minute Load',
  'hosts.host.metrics.memory':'Memory Usage',
  'hosts.host.metrics.memory.displayNames.mem_shared':'Shared',
  'hosts.host.metrics.memory.displayNames.swap_free':'Swap',
  'hosts.host.metrics.memory.displayNames.mem_buffers':'Buffers',
  'hosts.host.metrics.memory.displayNames.mem_free':'Free',
  'hosts.host.metrics.memory.displayNames.mem_cached':'Cached',
  'hosts.host.metrics.network':'Network Usage',
  'hosts.host.metrics.network.displayNames.pkts_out':'Packets Out',
  'hosts.host.metrics.network.displayNames.bytes_in':'Bytes In',
  'hosts.host.metrics.network.displayNames.bytes_out':'Bytes Out',
  'hosts.host.metrics.network.displayNames.pkts_in':'Packets In',
  'hosts.host.metrics.processes':'Processes',
  'hosts.host.metrics.processes.displayNames.proc_total':'Total Processes',
  'hosts.host.metrics.processes.displayNames.proc_run':'Processes Run',

  'hosts.host.summary.header':'Summary',
  'hosts.host.summary.hostname':'Hostname',
  'hosts.host.summary.agentHeartbeat':'Agent <br/> Heartbeat',
  'hosts.host.summary.hostMetrics':'Host Metrics',

  'hosts.host.details.deleteHost':'Delete Host',

  'host.host.componentFilter.master':'Master Components',
  'host.host.componentFilter.slave':'Slave Components',
  'host.host.componentFilter.client':'Client Components',
  'hosts.host.addComponent.note':'Note: After this component is installed, go to Services -> Nagios to restart the Nagios service.  This is required for the alerts and notifications to work properly.',
  'hosts.host.datanode.decommission':'Decommission DataNode',
  'hosts.host.datanode.recommission':'Recommission DataNode',


  'hosts.host.alert.noAlerts':'No alerts',
  'hosts.host.alert.noAlerts.message':'There are no alerts for this host.',
  'hosts.host.healthStatus.heartBeatNotReceived':'The server has not received a heartbeat from this host for more than 3 minutes.',
  'hosts.host.healthStatus.mastersDown':"The following master components are down:\n",
  'hosts.host.healthStatus.slavesDown':"The following slave components are down:\n",
  'hosts.host.healthStatus.allUp':'All components are up',
  'hosts.host.healthStatusCategory.green': "Healthy",
  'hosts.host.healthStatusCategory.red': "Master Down",
  'hosts.host.healthStatusCategory.orange': "Slave Down",
  'hosts.host.healthStatusCategory.yellow': "No Heartbeat",
  'hosts.host.alerts.label': 'Alerts',
  'hosts.host.alerts.st':'&nbsp;!&nbsp;',
  'hosts.decommission.popup.body':'Are you sure?',
  'hosts.decommission.popup.header':'Confirmation',
  'hosts.delete.popup.body':'Are you sure?',
  'hosts.delete.popup.header':'Confirmation',
  'hosts.cant.do.popup.header':'Operation not allowed',
  'hosts.cant.do.popup.masterList.body':'You cannot delete this host because it is hosting following master services: {0}.',
  'hosts.cant.do.popup.workingList.body':'You cannot delete this host because following slave services are not fully stopped or decommissioned: {0}.',
  'hosts.add.header':'Add Host Wizard',
  'hosts.assignRack':'Assign Rack',

  'charts.horizon.chart.showText':'show',
  'charts.horizon.chart.hideText':'hide',
  'charts.horizon.chart.attributes.cpu':'CPU',
  'charts.horizon.chart.attributes.memory':'Memory',
  'charts.horizon.chart.attributes.network':'Network',
  'charts.horizon.chart.attributes.io':'I/O',

  'charts.heatmap.selectMetric':'Select Metric...',

  'charts.heatmap.category.host':'Host',
  'charts.heatmap.item.host.memory':'Memory Used',
  'charts.heatmap.item.host.disk':'Disk Space Used',
  'charts.heatmap.item.host.process':'Total Running Processes',
  'charts.heatmap.category.hdfs':'HDFS',
  'charts.heatmap.category.mapreduce': 'MapReduce',
  'charts.heatmap.category.hbase': 'HBase',
  'charts.heatmap.unknown': 'Unknown',
  'charts.heatmap.label.notApplicable' :'Not Applicable',
  'charts.heatmap.label.invalidData' :'Invalid data',
  'charts.heatmap.metrics.bytesRead' :'Bytes Read',
  'charts.heatmap.metrics.bytesWritten' :'Bytes Written',
  'charts.heatmap.metrics.DFSGarbageCollection' :'Garbage Collection Time',
  'charts.heatmap.metrics.DFSMemHeapUsed' :'JVM Heap Memory Used',
  'charts.heatmap.metrics.diskSpaceUsed' :'Disk Space Used %',
  'charts.heatmap.metrics.MapReduceGCTime' :'Garbage Collection Time',
  'charts.heatmap.metrics.mapsRunning' :'Maps Running',
  'charts.heatmap.metrics.MRMemHeapUsed' :'JVM Heap Memory Used',
  'charts.heatmap.metrics.reducesRunning' :'Reduces Running',
  'charts.heatmap.metrics.memoryUsed' :'Memory Used %',
  'charts.heatmap.metrics.processRun' :'Total Running Processes',
  'charts.heatmap.metrics.cpuWaitIO':'CPU Wait I/O %',
  'charts.heatmap.metrics.HbaseRegionServerReadCount': 'Read Request Count',
  'charts.heatmap.metrics.HbaseRegionServerWriteCount': 'Write Request Count',
  'charts.heatmap.metrics.HbaseRegionServerCompactionQueueSize': 'Compaction Queue Size',
  'charts.heatmap.metrics.HbaseRegionServerRegions': 'Regions',
  'charts.heatmap.metrics.HbaseRegionServerMemStoreSize': 'Memstore Sizes',
  'metric.notFound':'no items found',
  'metric.default':'combined',
  'metric.cpu':'cpu',
  'metric.memory':'disk used',
  'metric.network':'network',
  'metric.io':'io',
  'metric.more':'more',
  'metric.more.cpu':'CPU',
  'metric.more.disk':'Disk',
  'metric.more.load':'Load',
  'metric.more.memory':'Memory',
  'metric.more.network':'Network',
  'metric.more.process':'Process',

  'dashboard.clusterMetrics':'Cluster Metrics',

  'dashboard.clusterMetrics.cpu':'CPU Usage',
  'dashboard.clusterMetrics.cpu.displayNames.idle':'Idle',
  'dashboard.clusterMetrics.load':'Cluster Load',
  'dashboard.clusterMetrics.memory':'Memory Usage',
  'dashboard.clusterMetrics.network':'Network Usage',


  'dashboard.services':'Services',
  'dashboard.services.hosts':'Hosts',
  'dashboard.services.uptime':'{0}',
  'dashboard.services.hdfs.summary':'{0} of {1} nodes live, {2}% capacity used',
  'dashboard.services.hdfs.nanmenode':'NameNode',
  'dashboard.services.hdfs.snanmenode':'Secondary NameNode',
  'dashboard.services.hdfs.capacity':'HDFS Disk Capacity',
  'dashboard.services.hdfs.capacityUsed':'{0} / {1} ({2}% used)',
  'dashboard.services.hdfs.totalFilesAndDirs':'Total Files + Directories',
  'dashboard.services.hdfs.datanodes':'DataNodes',
  'dashboard.services.hdfs.datanodecounts':'DataNodes Status',
  'dashboard.services.hdfs.version':'Version',
  'dashboard.services.hdfs.nameNodeWebUI':'NameNode Web UI',
  'dashboard.services.hdfs.nodes.live':'live',
  'dashboard.services.hdfs.nodes.dead':'dead',
  'dashboard.services.hdfs.nodes.decom':'decommissioning',
  'dashboard.services.hdfs.nodes.uptime':'NameNode Uptime',
  'dashboard.services.hdfs.nodes.heap':'NameNode Heap',
  'dashboard.services.hdfs.nodes.heapUsed':'{0} / {1} ({2}% used)',
  'dashboard.services.hdfs.chart.label':'Capacity (Used/Total)',
  'dashboard.services.hdfs.blockErrors':'{0} corrupt / {1} missing / {2} under replicated',

  'dashboard.services.mapreduce.summary':'{0} of {1} trackers live, {2} jobs running, {3} jobs waiting',
  'dashboard.services.mapreduce.taskTrackers':'TaskTrackers',
  'dashboard.services.mapreduce.taskTrackerCounts':'TaskTrackers Status',
  'dashboard.services.mapreduce.trackers':'Trackers',
  'dashboard.services.mapreduce.nodes.blacklist':'blacklist',
  'dashboard.services.mapreduce.nodes.graylist':'graylist',
  'dashboard.services.mapreduce.slotCapacity':'Total Slots Capacity',
  'dashboard.services.mapreduce.trackersSummary':'{0} live / {1} total',
  'dashboard.services.mapreduce.jobs':'Total Jobs',
  'dashboard.services.mapreduce.jobsSummary':'{0} submitted / {1} completed',
  'dashboard.services.mapreduce.mapSlots':'Map Slots',
  'dashboard.services.mapreduce.mapSlotsSummary':'{0} occupied / {1} reserved',
  'dashboard.services.mapreduce.reduceSlots':'Reduce Slots',
  'dashboard.services.mapreduce.tasks.maps':'Tasks: Maps',
  'dashboard.services.mapreduce.tasks.reduces':'Tasks: Reduces',
  'dashboard.services.mapreduce.reduceSlotsSummary':'{0} occupied / {1} reserved',
  'dashboard.services.mapreduce.tasksSummary':'{0} running / {1} waiting',
  'dashboard.services.mapreduce.slotCapacitySummary':'{0} maps / {1} reduces / {2} avg per node',
  'dashboard.services.mapreduce.jobTrackerHeap':'JobTracker Heap',
  'dashboard.services.mapreduce.jobTrackerHeapSummary':'{0} of {1} ({2}% used)',
  'dashboard.services.mapreduce.jobTrackerUptime':'Job Trackers Uptime',
  'dashboard.services.mapreduce.chart.label':'Jobs Running',

  'dashboard.services.hbase.summary':'{0} region servers with {1} average load',
  'dashboard.services.hbase.masterServer':'HBase Master',
  'dashboard.services.hbase.noMasterServer':'No Active Master',
  'dashboard.services.hbase.masterServerHeap':'Master Heap',
  'dashboard.services.hbase.masterServerHeap.summary':'{0} / {1} ({2}% used)',
  'dashboard.services.hbase.masterServerUptime':'Master Server Uptime',
  'dashboard.services.hbase.averageLoad':'Average Load',
  'dashboard.services.hbase.averageLoadPerServer':'{0} regions per RegionServer',
  'dashboard.services.hbase.regionServers':'RegionServers',
  'dashboard.services.hbase.regionServersSummary':'{0} live / {1} total',
  'dashboard.services.hbase.chart.label':'Request Count',
  'dashboard.services.hbase.version':'Version',
  'dashboard.services.hbase.masterWebUI':'Master Web UI',
  'dashboard.services.hbase.regions.transition':'Regions In Transition',
  'dashboard.services.hbase.masterStarted':'Master Started',
  'dashboard.services.hbase.masterActivated':'Master Activated',

  'dashboard.services.hive.clients':'Hive Clients',
  'dashboard.services.hive.client':'Hive Client',

  'dashboard.services.oozie.webUi':'Oozie Web UI',
  'dashboard.services.oozie.clients':'Oozie Clients',
  'dashboard.services.oozie.client':'Oozie Client',

  'dashboard.services.configs.popup.stopService.header':'Stop service',
  'dashboard.services.configs.popup.stopService.body' : 'Service needs to be stopped for reconfiguration',
  'dashboard.services.configs.popup.restartService.header' : 'Restart service',
  'dashboard.services.configs.popup.restartService.body' : 'Service needs to be restarted for reconfiguration',
  'timeRange.presets.1hour':'1h',
  'timeRange.presets.12hour':'12h',
  'timeRange.presets.1day':'1d',
  'timeRange.presets.1week':'1wk',
  'timeRange.presets.1month':'1mo',
  'timeRange.presets.1year':'1yr',

  'apps.item.dag.job': 'Job',
  'apps.item.dag.jobId': 'Job Id',
  'apps.item.dag.status': 'Status',
  'apps.item.dag.maps': 'Maps',
  'apps.item.dag.reduces': 'Reduces',
  'apps.item.dag.input': 'Input',
  'apps.item.dag.output': 'Output',
  'apps.item.dag.duration': 'Duration',

  'apps.table.column.appId':'App ID',
  'apps.table.column.runDate': 'Run Date',
  'apps.avgTable.avg': 'Avg',
  'apps.avgTable.min': 'Min',
  'apps.avgTable.max': 'Max',
  'apps.avgTable.jobs': 'Jobs',
  'apps.avgTable.input': 'Input',
  'apps.avgTable.output': 'Output',
  'apps.avgTable.duration': 'Duration',
  'apps.avgTable.oldest': 'Oldest',
  'apps.avgTable.mostRecent': 'Most Recent',
  'apps.filters.all': 'All',
  'apps.filters.filtered': 'Filtered',
  'apps.filters.clearFilters': 'Clear filters',
  'apps.filters.paginationInfo': '{0} - {1} of {2}',
  'apps.filters.customRunDate':'Run Date custom filter',
  'apps.filters.nothingToShow': 'No jobs to display',
  'apps.dagCharts.popup':'Job Charts',
  'apps.dagCharts.popup.job': 'Job',
  'apps.dagCharts.popup.dag':'Job Timeline',
  'apps.dagCharts.popup.tasks':'Job Tasks',
  'apps.isRunning.popup.title':'Is running',
  'apps.isRunning.popup.content':'Job is running now',

  'mirroring.dataset.AllDataSets':'All Datasets',
  'mirroring.dataset.createNewDataset':'Create New Dataset',
  'mirroring.dataset.newDataset':'New Dataset',
  'mirroring.dataset.editDataset':'Edit Dataset',
  'mirroring.dataset.selectTargetClusters':'Select Target Cluster...',
  'mirroring.dataset.name':'Name',
  'mirroring.dataset.save': 'Save & Run',
  'mirroring.dataset.sourceDir':'Source Cluster Directory',
  'mirroring.dataset.target':'Target Cluster',
  'mirroring.dataset.source':'Source',
  'mirroring.dataset.avgData':'Avg. Data',
  'mirroring.dataset.dateCreated':'Date Created',
  'mirroring.dataset.targetDir':'Target Cluster Directory',
  'mirroring.dataset.schedule':'Schedule',
  'mirroring.dataset.schedule.to':'to',
  'mirroring.dataset.schedule.repeatEvery':'Repeat every ',
  'mirroring.dataset.addTargetCluster':'Add Target Cluster',
  'mirroring.dataset.toggle.active':'Activate',
  'mirroring.dataset.toggle.suspended':'Suspend',

  'mirroring.targetcluster.nameNodeWebUrl':'NameNode Web UI',
  'mirroring.targetcluster.nameNodeRpcUrl':'NameNode RPC',
  'mirroring.targetcluster.oozieServerUrl':'Oozie Server',
  'mirroring.targetcluster.addCluster':'Add Cluster',
  'mirroring.targetcluster.testConnection':'Test Connection',
  'mirroring.targetcluster.enterClusterName':'Name of the Target Cluster',

  'mirroring.table.noDatasets':'No datasets to display',
  'mirroring.table.datasetSource':'Dataset Source',
  'mirroring.table.lastSuccess':'Last Success',
  'mirroring.table.lastFail':'Last Fail',
  'mirroring.table.lastDuration':'Last Duration',
  'mirroring.table.avgData':'Avg Data',
  'mirroring.table.noJobs':'No jobs to display',
  'mirroring.table.jobId':'Job ID',
  'mirroring.table.start':'Start',
  'mirroring.table.end':'End',
  'mirroring.table.duration':'Duration',
  'mirroring.table.data':'Data',

  'mirroring.sidebar.header.history': 'History',
  'mirroring.sidebar.header.clusters': 'Target Clusters',
  'mirroring.sidebar.popup.clusters.header': 'Cluster management',
  'mirroring.sidebar.popup.clusters.body': 'Here will be some content',

  'mirroring.required.error': 'This field is required',
  'mirroring.dateOrder.error': 'End Date must be after Start Date',
  'mirroring.required.invalidNumberError' : 'Enter valid number',


  'menu.item.dashboard':'Dashboard',
  'menu.item.heatmaps':'Heatmaps',
  'menu.item.services':'Services',
  'menu.item.hosts':'Hosts',
  'menu.item.mirroring':'Mirroring',
  'menu.item.jobs':'Jobs',
  'menu.item.admin':'Admin',

  'common.combobox.placeholder': 'Filter...',
  'common.combobox.dropdown.1': 'Overridden properties',
  'common.combobox.dropdown.2': 'Modified properties',
  'common.combobox.dropdown.3': 'Properties needing restart',

  'quick.links.error.label': 'Hostname is undefined',

  'contact.administrator': 'Contact System Administrator for more information'

};